#!/usr/bin/env perl

# $Id: hexevote.cgi,v 1.3 2003/10/08 10:27:00 taku-ku Exp $;

use CGI qw( :standard );
my $vote_file_dir = "data";

my $id     = param('id');
my $action = param('action') || "update";

# make safe
$id =~ s#[^a-z0-9\-_]##ig;
my $fn = "$vote_file_dir/$id";

die "id is not defined\n" if (! defined $id);

open(F, "$fn") or die "can't open $fn : $!\n";
my $num = join('', <F>);
close (F);

print "Content-type: text/plain\n\n";

if ($action eq "update") {
    ++$num;
    open (F, "> $fn") or die "can't open $fn : $!\n";
    flock (F, 2);
    print F "$num\n";
    print "$num\n";
    close (F);
} elsif ($action eq "init") {
    print "$num\n";
    print "$fn\n";
}
